#! /bin/bash
#
# ffmpeg_patch.sh
#
# you may copy these 3 folders into the XdTV project
# with such shell commands:
# cd xdtv
# /bin/cp -fva ../ffmpeg/libavcodec .
# /bin/cp -fva ../ffmpeg/libavformat .
# /bin/cp -fva ../ffmpeg/libavutil .
# 
# As distdir is not define in all 3 makefile for these 3 folders
# launch this command to fix this problem

dir='$(distdir)'

echo "Do you want to remplace the current FFmpeg Makefiles: [N]:"
read choice

if [ "$choice" = "Y" ]; then
cp patch/Makefile.util libavutil/Makefile
cp patch/Makefile.format libavformat/Makefile
cp patch/Makefile.postproc libavcodec/libpostproc/Makefile
cp patch/Makefile.codec libavcodec/Makefile
fi

# echo "Do you want add <<make dist>> to the current FFmpeg Makefiles: [N]:"
# read choice
# if [ "$choice" = "Y" ]; then
# echo "" >> libavutil/Makefile
# echo "distdir:" >> libavutil/Makefile
# echo "	cp -R * $dir" >> libavutil/Makefile
# 
# echo "" >> libavformat/Makefile
# echo "distdir:" >> libavformat/Makefile
# echo "	cp -R * $dir" >> libavformat/Makefile
# 
# echo "" >> libavcodec/Makefile
# echo "distdir:" >> libavcodec/Makefile
# echo "	cp -R * $dir" >> libavcodec/Makefile
# fi

echo "Do you want to patch libavformat/mpegts.c ? (-> needed for DVB support) [N]:"
read choice
if [ "$choice" = "Y" ]; then
sed -e 's/auto_guess *= *0 *;/auto_guess = 1; \/\* XdTV Patch \*\//g' libavformat/mpegts.c > mpegts_patched
mv mpegts_patched libavformat/mpegts.c
echo "done" 
fi
